> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Details about individual product collection

> Get Details about individual product collection



## OpenAPI

````yaml /api-reference/products/openapi.json get /products/collections/{collectionId}
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/collections/{collectionId}:
    get:
      tags:
        - Collections
      summary: Get Details about individual product collection
      description: Get Details about individual product collection
      operationId: get-product-collection-id
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: collectionId
          required: true
          in: path
          description: Collection Id
          schema:
            example: 65d71377c326ea78e1c47df5
            type: string
        - name: altId
          required: true
          in: query
          description: Location Id
          schema:
            example: 3SwdhCsvxI8Au3KsPJt6
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultCollectionResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products/collection.readonly
components:
  schemas:
    DefaultCollectionResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ProductCategories'
        status:
          type: boolean
          description: Status of the operation
          example: true
      required:
        - data
        - status
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ProductCategories:
      type: object
      properties: {}

````